> To find and run AgentRouter tools, connect to https://mcp.agentrouter.to/. To search this documentation, use https://docs.agentrouter.to/_mcp/server. Append .md to a page URL for Markdown. For the documentation index, see https://docs.agentrouter.to/llms.txt.

# List disputes

GET https://api.agentrouter.to/v1/disputes

Reference: https://docs.agentrouter.to/api-reference/agent-router-api/disputes/list-disputes

## Authentication

- `Authorization` header (bearer token, required) — An AgentRouter API key or an OAuth access token issued to an MCP host or the CLI.

## Response

### 200

Disputes

- `object` (any, required)
- `disputes` (list of Dispute, required)

## Types

### Dispute

- `dispute_id` (string, required)
- `status` (enum, required)
  - Allowed values: `SUBMITTED`, `IN_REVIEW`, `NEEDS_INFO`, `APPROVED`, `PARTIALLY_APPROVED`, `REJECTED`
- `refund_status` (enum, required)
  - Allowed values: `none`, `completed`, `failed`
- `run_ids` (list of string, required)
- `goal` (string, required)
- `reason` (string, required)
- `refunds` (list of DisputeRefundsItems, required)
- `decision` (DisputeDecision, required, nullable)
- `history` (list of DisputeHistoryItems, required)
- `created_at` (string, required)
- `updated_at` (string, required)
- `find_query` (string, optional, nullable)
- `comparison_run_id` (string, optional, nullable)
- `evidence` (string, optional, nullable)

### DisputeRefundsItems

- `run_id` (string, optional)
- `amount_usd` (string, optional)

### DisputeDecision

- `reason` (string, optional)
- `decided_at` (any, optional)

### DisputeHistoryItems

## Examples

**Response**

```json
{
  "object": null,
  "disputes": [
    {
      "dispute_id": "string",
      "status": "SUBMITTED",
      "refund_status": "none",
      "run_ids": [
        "string"
      ],
      "goal": "string",
      "reason": "string",
      "refunds": [
        {
          "run_id": "string",
          "amount_usd": "string"
        }
      ],
      "decision": {
        "reason": "string"
      },
      "history": [
        {}
      ],
      "created_at": "string",
      "updated_at": "string",
      "find_query": "string",
      "comparison_run_id": "string",
      "evidence": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.agentrouter.to/v1/disputes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.agentrouter.to/v1/disputes';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.agentrouter.to/v1/disputes"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.agentrouter.to/v1/disputes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.agentrouter.to/v1/disputes")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.agentrouter.to/v1/disputes', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.agentrouter.to/v1/disputes");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.agentrouter.to/v1/disputes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```